0

I am getting this error after executing the follow commands in terminal (os x)

php bin/magento module:enable WeltPixel_Backend --clear-static-content
php bin/magento module:enable WeltPixel_OwlCarouselSlider --clear-static-content 
php bin/magento setup:upgrade

I've installed all the right files in the right folders... But whenever I execute one of these commands I get the following error:

Parse error: parse error in /Applications/magento-2.1.2-0/apps/magento/htdocs/vendor/magento/framework/ObjectManager/Factory/AbstractFactory.php on line 93

Any idea how I can solve this?

I am using PHP 5.5.31

1 Answer 1

4

Solution:1

Splat Operator is not working on Php version 5.5.31. so Upgrading your PHP version should fix the error.Upgrade it to 5.6 or Php7

Solution:2

Remove var/generation , var/cache and var/page_cache folders

first you need to try : setup:di:compile command it will compile whole code and generate the factory and other var directory again.

To be summrised follow below command sequence :

  1. setup:di:compile
  2. php bin/magento cache:clean
  3. php bin/magento module:enable WeltPixel_Backend --clear-static-content
  4. php bin/magento module:enable WeltPixel_OwlCarouselSlider --clear-static-content
  5. php bin/magento setup:upgrade

Lastly if needed then and then run php bin/magento setup:static-content:deploy

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.